RDKit: SmilesParseOps Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Namespaces | Functions
SmilesParseOps Namespace Reference

## Namespaces
namespace | detail

## Functions
RDKIT_SMILESPARSE_EXPORT void | CheckRingClosureBranchStatus (RDKit::Atom *atom, RDKit::RWMol *mp)
RDKIT_SMILESPARSE_EXPORT void | ReportParseError (const char *message, bool throwIt=true)
RDKIT_SMILESPARSE_EXPORT void | CleanupAfterParseError (RDKit::RWMol *mol)
RDKIT_SMILESPARSE_EXPORT void | AddFragToMol (RDKit::RWMol *mol, RDKit::RWMol *frag, RDKit::Bond::BondType bondOrder=RDKit::Bond::UNSPECIFIED, RDKit::Bond::BondDir bondDir=RDKit::Bond::NONE)
RDKIT_SMILESPARSE_EXPORT RDKit::Bond::BondType | GetUnspecifiedBondType (const RDKit::RWMol *mol, const RDKit::Atom *atom1, const RDKit::Atom *atom2)
RDKIT_SMILESPARSE_EXPORT void | CheckChiralitySpecifications (RDKit::RWMol *mol, bool strict)
RDKIT_SMILESPARSE_EXPORT void | CloseMolRings (RDKit::RWMol *mol, bool toleratePartials)
RDKIT_SMILESPARSE_EXPORT void | SetUnspecifiedBondTypes (RDKit::RWMol *mol)
RDKIT_SMILESPARSE_EXPORT void | AdjustAtomChiralityFlags (RDKit::RWMol *mol)
RDKIT_SMILESPARSE_EXPORT void | CleanupAfterParsing (RDKit::RWMol *mol)
RDKIT_SMILESPARSE_EXPORT void | parseCXExtensions (RDKit::RWMol &mol, const std::string &extText, std::string::const_iterator &pos, unsigned int startAtomIdx=0, unsigned int startBondIdx=0)
void | parseCXExtensions (RDKit::RWMol &mol, const std::string &extText, unsigned int startAtomIdx, unsigned int startBondIdx)
RDKIT_SMILESPARSE_EXPORT void | ClearAtomChemicalProps (RDKit::Atom *atom)
| removes formal charge, isotope, etc. Primarily useful for QueryAtoms
RDKIT_SMILESPARSE_EXPORT bool | checkChiralPermutation (int chiralTag, int permutation)
RDKIT_SMILESPARSE_EXPORT RDKit::QueryBond * | getUnspecifiedQueryBond (const RDKit::Atom *a1, const RDKit::Atom *a2)

## Function Documentation

## ◆ AddFragToMol()

RDKIT_SMILESPARSE_EXPORT void SmilesParseOps::AddFragToMol | ( | RDKit::RWMol * | mol,
|  | RDKit::RWMol * | frag,
|  | RDKit::Bond::BondType | bondOrder = RDKit::Bond::UNSPECIFIED,
|  | RDKit::Bond::BondDir | bondDir = RDKit::Bond::NONE )

References RDKit::Bond::NONE, RDKIT_SMILESPARSE_EXPORT, and RDKit::Bond::UNSPECIFIED.

## ◆ AdjustAtomChiralityFlags()

RDKIT_SMILESPARSE_EXPORT void SmilesParseOps::AdjustAtomChiralityFlags | ( | RDKit::RWMol * | mol | ) |

References RDKIT_SMILESPARSE_EXPORT.

## ◆ CheckChiralitySpecifications()

RDKIT_SMILESPARSE_EXPORT void SmilesParseOps::CheckChiralitySpecifications | ( | RDKit::RWMol * | mol,
|  | bool | strict )

References RDKIT_SMILESPARSE_EXPORT.

## ◆ checkChiralPermutation()

RDKIT_SMILESPARSE_EXPORT bool SmilesParseOps::checkChiralPermutation | ( | int | chiralTag,
|  | int | permutation )

returns whether or not the combination of tag and permutation provided are legal

References RDKIT_SMILESPARSE_EXPORT.

## ◆ CheckRingClosureBranchStatus()

RDKIT_SMILESPARSE_EXPORT void SmilesParseOps::CheckRingClosureBranchStatus | ( | RDKit::Atom * | atom,
|  | RDKit::RWMol * | mp )

References RDKIT_SMILESPARSE_EXPORT.

## ◆ CleanupAfterParseError()

RDKIT_SMILESPARSE_EXPORT void SmilesParseOps::CleanupAfterParseError | ( | RDKit::RWMol * | mol | ) |

References RDKIT_SMILESPARSE_EXPORT.

## ◆ CleanupAfterParsing()

RDKIT_SMILESPARSE_EXPORT void SmilesParseOps::CleanupAfterParsing | ( | RDKit::RWMol * | mol | ) |

References RDKIT_SMILESPARSE_EXPORT.

## ◆ ClearAtomChemicalProps()

RDKIT_SMILESPARSE_EXPORT void SmilesParseOps::ClearAtomChemicalProps | ( | RDKit::Atom * | atom | ) |

removes formal charge, isotope, etc. Primarily useful for QueryAtoms

References RDKIT_SMILESPARSE_EXPORT.

## ◆ CloseMolRings()

RDKIT_SMILESPARSE_EXPORT void SmilesParseOps::CloseMolRings | ( | RDKit::RWMol * | mol,
|  | bool | toleratePartials )

References RDKIT_SMILESPARSE_EXPORT.

## ◆ GetUnspecifiedBondType()

RDKIT_SMILESPARSE_EXPORT RDKit::Bond::BondType SmilesParseOps::GetUnspecifiedBondType | ( | const RDKit::RWMol * | mol,
|  | const RDKit::Atom * | atom1,
|  | const RDKit::Atom * | atom2 )

References RDKIT_SMILESPARSE_EXPORT.

## ◆ getUnspecifiedQueryBond()

RDKIT_SMILESPARSE_EXPORT RDKit::QueryBond * SmilesParseOps::getUnspecifiedQueryBond | ( | const RDKit::Atom * | a1,
|  | const RDKit::Atom * | a2 )

this is a bit of a hack to try and get nicer "SMILES" from a SMARTS molecule

References RDKIT_SMILESPARSE_EXPORT.

## ◆ parseCXExtensions() [1/2]

RDKIT_SMILESPARSE_EXPORT void SmilesParseOps::parseCXExtensions | ( | RDKit::RWMol & | mol,
|  | const std::string & | extText,
|  | std::string::const_iterator & | pos,
|  | unsigned int | startAtomIdx = 0,
|  | unsigned int | startBondIdx = 0 )

References RDKIT_SMILESPARSE_EXPORT.

Referenced by parseCXExtensions().

## ◆ parseCXExtensions() [2/2]

void SmilesParseOps::parseCXExtensions | ( | RDKit::RWMol & | mol,
|  | const std::string & | extText,
|  | unsigned int | startAtomIdx,
|  | unsigned int | startBondIdx )
| inline

Definition at line 48 of file SmilesParseOps.h.

References parseCXExtensions().

## ◆ ReportParseError()

RDKIT_SMILESPARSE_EXPORT void SmilesParseOps::ReportParseError | ( | const char * | message,
|  | bool | throwIt = true )

References RDKIT_SMILESPARSE_EXPORT.

## ◆ SetUnspecifiedBondTypes()

RDKIT_SMILESPARSE_EXPORT void SmilesParseOps::SetUnspecifiedBondTypes | ( | RDKit::RWMol * | mol | ) |

References RDKIT_SMILESPARSE_EXPORT.